Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 216046 - USB flash drive problem with ehci_usb: mis-identifies as multiple devices, does not create /dev/sd* entry
Summary: USB flash drive problem with ehci_usb: mis-identifies as multiple devices, do...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-11-16 22:47 UTC by Jason Herring
Modified: 2008-02-08 04:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:26:30 UTC


Attachments (Terms of Use)

Description Jason Herring 2006-11-16 22:47:11 UTC
Description of problem:

Plugging in certain USB flash drives (all USB 2.0 from my testing) results USB
subsystem mis-identifying multiple new devices.  Eventually the port gets a
reset error and the hub is marked as failed, but the identification process
continues.  /var/log/messages:

Nov 16 11:50:42 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 123
Nov 16 11:50:43 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 125
Nov 16 11:50:47 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 13
Nov 16 11:50:49 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 20
Nov 16 11:50:56 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 49
Nov 16 11:51:00 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 64
Nov 16 11:51:05 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 81
Nov 16 11:51:14 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 118
Nov 16 11:51:19 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 10
Nov 16 11:51:19 tethys kernel: ehci_hcd 0000:00:1d.7: port 4 reset error -110
Nov 16 11:51:19 tethys kernel: hub 6-0:1.0: hub_port_status failed (err = -32)
Nov 16 11:51:31 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 53
Nov 16 11:51:44 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 105
Nov 16 11:51:52 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 9
Nov 16 11:51:54 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 18
Nov 16 11:51:55 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 22
Nov 16 11:51:56 tethys kernel: usb 6-4: new high speed USB device using ehci_hcd
and address 24

This happened with two different USB flash drives from different manufacturers -
a 2G and a 4G.  When using two smaller drives - each 128M - it works fine:

Nov 16 13:15:41 tethys kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 4
Nov 16 13:15:41 tethys kernel: usb 2-2: configuration #1 chosen from 1 choice
Nov 16 13:15:41 tethys kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Nov 16 13:15:46 tethys kernel:   Vendor: WD        Model: UStorage          Rev:
1.89
Nov 16 13:15:46 tethys kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Nov 16 13:15:47 tethys kernel: ready
Nov 16 13:15:47 tethys kernel: SCSI device sda: 256000 512-byte hdwr sectors
(131 MB)
Nov 16 13:15:47 tethys kernel: sda: Write Protect is off
Nov 16 13:15:47 tethys kernel: sda: assuming drive cache: write through
Nov 16 13:15:47 tethys kernel: SCSI device sda: 256000 512-byte hdwr sectors
(131 MB)
Nov 16 13:15:47 tethys kernel: sda: Write Protect is off
Nov 16 13:15:47 tethys kernel: sda: assuming drive cache: write through
Nov 16 13:15:47 tethys kernel:  sda: sda1
Nov 16 13:15:47 tethys kernel: sd 2:0:0:0: Attached scsi removable disk sda
Nov 16 13:15:47 tethys kernel: sd 2:0:0:0: Attached scsi generic sg0 type 0
Nov 16 13:15:48 tethys kernel: SELinux: initialized (dev sda1, type vfat), uses
genfs_contexts
Nov 16 13:15:49 tethys hald: mounted /dev/sda1 on behalf of uid 500


Version-Release number of selected component (if applicable):


How reproducible:
Plug in flash drive and watch it go.  100% reproduceable with affected flash drives.

Drives which fail: 
Attache' 2G with Phison ps2134cf-g chip

Checking further, it appears that all flash drives which use ehci_hcd and
identify as 'high speed' fail.  All drives which identify as 'full speed' and
use uhci_hcd work fine.

Steps to Reproduce:
1. plug in incompatable (2.0) USB flash drive
2. observe errors in /var/log/messages
  
Actual results:
multiple devices identified, error messages, will not create /dev/sd* or mount

Expected results:
One device should be identified and USB flash drive should mount

Additional info:
The machine is an IBM Thinkpad T40
Linux tethys 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:36:14 EST 2006 i686 i686
i386 GNU/Linux

Comment 1 Jason Herring 2006-11-20 19:15:24 UTC
"rmmod ehci_hcd" allows the device to be mounted and function, although it works
VERY slowly... obviously not getting USB2.0 speed here.
This seems to be a problem with all 2.0 storage devices I've tried thus far.

Comment 2 Jon Stanley 2008-01-08 01:48:50 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:26:30 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.